.\" $NetBSD: wsmoused.conf.5,v 1.7 2004/01/05 12:16:25 jmmv Exp $
.\"
.\" Copyright (c) 2003, 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julio M. Merino Vidal.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Neither the name of The NetBSD Foundation nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 5, 2004
.Dt WSMOUSED.CONF 5
.Os
.Sh NAME
.Nm wsmoused.conf
.Nd multipurpose mouse daemon configuration
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
The
.Nm
file configures all the features provided by the
.Xr wsmoused 8
daemon.
It is composed by a series of
.Em blocks ,
each of which defines a group of
.Em properties .
The file format is free-form: new line markers are ignored as well as
indentation.
Comments start with the
.Sq #
sign and extend until the end of line.
.Pp
A
.Em property
is like a variable assignment.
It has a name, which goes to the left of the equal sign, and a value,
which goes to the right.
The assignment ends with a semicolon.
It looks like:
.Pp
.Dl name = value;
.Pp
There is no difference between string or integer values when defining them.
The value must be surrounded by double quotes if it contains whitespace.
Booleans are specified as integers, where
.Sq 0
means false and
.Sq 1
stands for true.
Even though, the program cares about this and will emit a warning if you
have done an incorrect assignment.
Note that it will not accept unrecognized names.
.Pp
A
.Em mode
is a type of block that defines how the program behaves when run in a
specific mode.
A mode inherits properties defined in the global scope.
It has the following syntax:
.Bd -literal -offset indent
mode mode_name {
        property1 = value1;
        ...
        propertyN = valueN;
}
.Ed
.Pp
There are two recognized modes,
.Ql action
and
.Ql selection .
.Xr wsmoused 8
describes what they do in detail.
.Ss Properties common to all modes
The following properties can be defined in the global scope, thus
affecting all modes, or inside the mode definition, to override global
values.
.Bl -tag -width indent
.It device = pathname;
The
.Xr wsmouse 4
device name to use.
Defaults to
.Pa /dev/wsmouse .
.It fifo = pathname;
Specify an optional fifo where to redirect all mouse events, no matter
if they have been processed.
By default, no fifo is used.
.It modes = string;
Whitespace separated list of modes to be activated when running.
Defaults to
.Sq selection .
.It nodaemon = boolean;
Set to 1 to not fork in the background.
.It pidfile = basename;
The basename of the pidfile used to control the process.
Pidfiles are always created under
.Pa /var/run ,
and have the
.Sq .pid
extension automatically added.
By default it is set to daemon's program name.
.It ttystat = pathname;
.Xr wsdisplay 4 Ns 's
notification device.
Defaults to
.Pa /dev/ttyEstat .
You will not want to change this.
.It xconsole = integer;
Virtual console number which holds the X server (if any).
The argument specifies the console number (the same found in
.Pa /dev/ttyE? ) .
Unset by default.
.It xconsole_delay = integer;
Number of seconds to wait before reactivating the mouse when returning
from the X console (specified by the
.Sq xconsole
property).
Defaults to 5.
.El
.Ss Properties specific to the action mode
The following properties are only useful when running in the
.Em action
mode:
.Bl -tag -width indent
.It button_<number>_<status> = "command";
Assigns a command to a button, which will be executed using the
.Xr system 3
call.
The
.Sq number
part selects a button to which the command is assigned; the first button
is numbered
.Sq 0
and the maximum depends on the mouse type.
The
.Sq status
part can be either
.Sq down
or
.Sq up ,
representing the events emitted when the button is pressed and released,
respectively.
.El
.Ss Properties specific to the selection mode
The following properties are only useful when running in the
.Em selection
mode:
.Bl -tag -width indent
.It lefthanded = boolean;
Set to 1 to swap mouse buttons, specially useful for left handed users.
.It slowdown_x = integer;
X axis slowdown.
This positive integer specifies how many events in
the vertical direction should be ignored before changing the current
column.
It defaults to 0.
.It slowdown_y = integer;
Y axis slowdown.
This positive integer specifies how many events in
the horizontal direction should be ignored before changing the current row.
It defaults to 3.
.El
.Sh FILES
.Bl -tag -width /usr/share/examples/wsmoused/ -compact
.It Pa /etc/wsmoused.conf
Default configuration file.
.It Pa /usr/share/examples/wsmoused/
Location of sample files.
.El
.Sh SEE ALSO
.Xr system 3 ,
.Xr wsdisplay 4 ,
.Xr wsmouse 4 ,
.Xr wsmoused 8
.Sh HISTORY
The
.Nm
configuration file first appeared in
.Nx 2.0 .
